Bug 1409811 - Virt-who does not respect the interval setting
Summary: Virt-who does not respect the interval setting
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-who
Version: 6.9
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: rc
: ---
Assignee: Chris Snyder
QA Contact: Eko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-03 13:55 UTC by Chris Snyder
Modified: 2017-03-21 10:31 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1405618
Environment:
Last Closed: 2017-03-21 10:31:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0675 0 normal SHIPPED_LIVE virt-who bug fix update 2017-03-21 12:35:57 UTC

Comment 1 Chris Snyder 2017-01-03 15:09:27 UTC
This bug represents the fix for the original bug being pulled into rhel 6.9.

Comment 2 Chris Snyder 2017-01-03 15:24:52 UTC
Hey Eko,

In order to complete a build for rhel-6.9 including this fix, I'll need a rhel-6.9.0+. In order to get that flag I'll need a qa_ack+. Can you please add the qa_ack+?

Thank you!

Comment 5 yuefliu 2017-02-09 05:14:39 UTC
Verified the bug on rhel6.9-20170202.0 (virt-who-0.18-3.el6.noarch) with satellite6.2.6, please refer to below steps.


1. configure virt-who with only ESX mode and 'VIRTWHO_INTERVAL=120', restart virt-who service, which will make a 'Hypervisors' task on sat webui.

   ->If no any trigger (like add/delete/shutdown/start guests), will no new tasks appear, just the one task shows.

   ->If make trigger option to guests during virt-who running, it will make new tasks each 120s as the interval value set, like below shows, no flooding tasks queue.
~~~
Action 	State 	Result 	▼ Started at 	Ended at 	User
Hypervisors 	stopped 	success 	2017-02-09 09:50:03 +0800 	2017-02-09 09:50:03 +0800 	foreman_api_admin
Hypervisors 	stopped 	success 	2017-02-09 09:48:02 +0800 	2017-02-09 09:48:02 +0800 	foreman_api_admin
Hypervisors 	stopped 	success 	2017-02-09 09:46:01 +0800 	2017-02-09 09:46:01 +0800 	foreman_api_admin
Hypervisors 	stopped 	success 	2017-02-09 09:44:00 +0800 	2017-02-09 09:44:00 +0800 	foreman_api_admin



2. configure virt-who with ESX and Xen mode and 'VIRTWHO_INTERVAL=3600', restart virt-who service, which will make two 'Hypervisors' tasks on sat webui.

   ->If no any trigger (like add/delete/shutdown/start guests), will no new tasks appear, just the two tasks shows.

   ->If make trigger option to guests during virt-who running, it will make a new task each 3600s as the interval value set, like below shows, no flooding tasks queue.
~~~
Action 	State 	Result 	▼ Started at 	Ended at 	User
Hypervisors 	stopped 	success 	2017-02-09 12:03:46 +0800 	2017-02-09 12:03:46 +0800 	foreman_api_admin
Hypervisors 	stopped 	success 	2017-02-09 11:03:44 +0800 	2017-02-09 11:03:45 +0800 	foreman_api_admin
Hypervisors 	stopped 	success 	2017-02-09 10:03:43 +0800 	2017-02-09 10:03:44 +0800 	foreman_api_admin
Hypervisors 	stopped 	success 	2017-02-09 10:03:42 +0800 	2017-02-09 10:03:42 +0800 	foreman_api_admin

Comment 7 errata-xmlrpc 2017-03-21 10:31:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0675.html


Note You need to log in before you can comment on or make changes to this bug.